clang-tools 6.0.0

Public Member Functions | List of all members
clang::tidy::utils::IncludeInserterCallback Class Reference
Inheritance diagram for clang::tidy::utils::IncludeInserterCallback:
[legend]
Collaboration diagram for clang::tidy::utils::IncludeInserterCallback:
[legend]

## Public Member Functions
| IncludeInserterCallback (IncludeInserter *Inserter)
void | InclusionDirective (SourceLocation HashLocation, const Token &IncludeToken, StringRef FileNameRef, bool IsAngled, CharSourceRange FileNameRange, const FileEntry *, StringRef, StringRef, const Module *) override

## Detailed Description

Definition at line 17 of file IncludeInserter.cpp.

## Constructor & Destructor Documentation

## ◆ IncludeInserterCallback()

clang::tidy::utils::IncludeInserterCallback::IncludeInserterCallback | ( | IncludeInserter * | Inserter | ) |
| inline explicit

Definition at line 19 of file IncludeInserter.cpp.

## Member Function Documentation

## ◆ InclusionDirective()

void clang::tidy::utils::IncludeInserterCallback::InclusionDirective | ( | SourceLocation | HashLocation,
|  | const Token & | IncludeToken,
|  | StringRef | FileNameRef,
|  | bool | IsAngled,
|  | CharSourceRange | FileNameRange,
|  | const FileEntry * | ,
|  | StringRef | ,
|  | StringRef | ,
|  | const Module * |
| ) |  |
| inline override

Definition at line 23 of file IncludeInserter.cpp.

The documentation for this class was generated from the following file:

- IncludeInserter.cpp